BEGIN;

CREATE DATABASE IF NOT EXISTS software_center CHARACTER SET utf8 COLLATE utf8_bin;

GRANT ALL PRIVILEGES ON software_center.* TO software_center@localhost IDENTIFIED BY 'qwer1234';
FLUSH PRIVILEGES;

USE software_center;

CREATE TABLE IF NOT EXISTS`softwares_mips64el`(
	`index` BIGINT(20) unsigned NOT NULL AUTO_INCREMENT,
	`s_name` VARCHAR(255) NOT NULL,
	`s_icon` VARCHAR(255) NOT NULL,
	`s_exec` VARCHAR(255) NOT NULL,
	`s_rpm` VARCHAR(255)  NOT NULL,
	`s_version` VARCHAR(255) NOT NULL,
	`s_size` VARCHAR(16) NOT NULL,
	`s_description` VARCHAR(255) NOT NULL,
	`s_rpmdeps` VARCHAR(255) NOT NULL,
	`s_star` TINYINT(4) unsigned default '0',
	`class` TINYINT(4) unsigned,
	`time` DATETIME,
	UNIQUE KEY(`s_name`),
	PRIMARY KEY(`index`)
);

CREATE TABLE IF NOT EXISTS`softwares_x86_64`(
	`index` BIGINT(20) unsigned NOT NULL AUTO_INCREMENT,
	`s_name` VARCHAR(255) NOT NULL,
	`s_icon` VARCHAR(255) NOT NULL,
	`s_exec` VARCHAR(255) NOT NULL,
	`s_rpm` VARCHAR(255)  NOT NULL,
	`s_version` VARCHAR(255) NOT NULL,
	`s_size` VARCHAR(16) NOT NULL,
	`s_description` VARCHAR(255) NOT NULL,
	`s_rpmdeps` VARCHAR(255) NOT NULL,
	`s_star` TINYINT(4) unsigned default '0',
	`class` TINYINT(4) unsigned,
	`time` DATETIME,
	UNIQUE KEY(`s_name`),
	PRIMARY KEY(`index`)
);

CREATE TABLE IF NOT EXISTS`softwares_aarch64`(
	`index` BIGINT(20) unsigned NOT NULL AUTO_INCREMENT,
	`s_name` VARCHAR(255) NOT NULL,
	`s_icon` VARCHAR(255) NOT NULL,
	`s_exec` VARCHAR(255) NOT NULL,
	`s_rpm` VARCHAR(255)  NOT NULL,
	`s_version` VARCHAR(255) NOT NULL,
	`s_size` VARCHAR(16) NOT NULL,
	`s_description` VARCHAR(255) NOT NULL,
	`s_rpmdeps` VARCHAR(255) NOT NULL,
	`s_star` TINYINT(4) unsigned default '0',
	`class` TINYINT(4) unsigned,
	`time` DATETIME,
	UNIQUE KEY(`s_name`),
	PRIMARY KEY(`index`)
);

CREATE TABLE IF NOT EXISTS`soft_user_info`(
	`user_name` VARCHAR(255) NOT NULL,
	`user_password` VARCHAR(34) NOT NULL,
	PRIMARY KEY(`user_name`)
);

INSERT IGNORE INTO `soft_user_info` VALUES('admin', '$P$BeGHAIf.gMrg2.EejGv8P.hrU6tGSG/');

COMMIT;
