#!/bin/bash

echo "Configuring rabbitmq-server ..."

systemctl restart rabbitmq-server
systemctl enable rabbitmq-server

rabbitmq_server_status=`systemctl status rabbitmq-server | grep Active | awk '{print $3}'`
rabbitmq_server_enable=`systemctl status rabbitmq-server | grep Loaded | awk '{print $4}'`
if [ $rabbitmq_server_status=="(running)" ] && [ $rabbit_server_enable=="enabled;" ]
then
    echo "rabbitmq-server.service has been started and set to self-start"
else
    echo "fail!"
    exit
fi

rabbitmqctl add_user scs qwe123
rabbitmqctl set_user_tags scs administrator
rabbitmqctl set_permissions -p / scs ".*" ".*" ".*"

echo "Configure rabbitmq-server success!"

echo "Configuring mariadb.service ..."

systemctl restart mariadb
systemctl enable mariadb

mariadb_status=`systemctl status mariadb | grep Active | awk '{print $3}'`
mariadb_enable=`systemctl status mariadb | grep Loaded | awk '{print $4}'`
if [ $mariadb_status=="(running)" ] && [ $mariadb_enable=="enabled;" ]
then
    echo "mariadb.service has been started and set to self-start"
else
    echo "fail!"
    exit
fi

echo "Configure mariadb.service success!"

echo "Initing database ..."

read -p "Enter the root password of MySQL:" mysql_root_password
if [ !$mysql_root_password ]
then
    mysql -uroot < /usr/share/doc/software-center/db_init.sql
else
    mysql -uroot -p$mysql_root_password < /usr/share/doc/software-center/db_init.sql
fi

if [ $? -ne 0 ]
then
    echo "fail!"
    exit
fi

echo "Init database success!"

echo "Configuring scsd.service ..."

systemctl restart scsd
systemctl enable scsd

scsd_status=`systemctl status scsd | grep Active | awk '{print $3}'`
scsd_enable=`systemctl status scsd | grep Loaded | awk '{print $4}'`
if [ $scsd_status=="(running)" ] && [ $scsd_enable=="enabled;" ]
then
    echo "scsd.service has been started and set to self-start"
else
    echo "fail!"
    exit
fi

echo "Configure scsd.service success!"

echo "Configuring httpd.service ..."

systemctl restart httpd
systemctl enable httpd

httpd_status=`systemctl status httpd | grep Active | awk '{print $3}'`
httpd_enable=`systemctl status httpd | grep Loaded | awk '{print $4}'`
if [ $httpd_status=="(running)" ] && [ $httpd_enable=="enabled;" ]
then
    echo "httpd.service has been started and set to self-start"
else
    echo "fail!"
    exit
fi

echo "Configure httpd.service success!"

echo "All Done!"
