<?php
/**
 * 软件架构
 **/
class Architecture{

	private $architecture = array(
			"0"=>"龙芯",
			"1"=>"兆芯",
			"2"=>"ARM",
			);

	private $table_suffix = array(
			"0"=>"mips64el",
			"1"=>"x86_64",
			"2"=>"aarch64",
			);

	public function getArchitecture()
	{
		return $this->architecture;
	}

	public function getNameById($id)
	{
		return $this->architecture[$id];
	}

	public function getTableSuffixByName($name)
	{
		$id = array_search($name, $this->architecture);
		return $this->table_suffix[$id];
	}

	public function getTableSuffixById($id)
	{
		return $this->table_suffix[$id];
	}

	public function getCount()
	{
		return count($this->architecture);
	}

	public function printOptions($start, $architecture)
	{
		$count = $this->getCount();

		for($i=$start; $i<$count; $i++)
		{
			$name = $this->getNameById($i);
			if($i == $architecture)
			{
				echo "<option value=$i selected>$name</option>";
			}
			else
			{
				echo "<option value=$i>$name</option>";
			}
		}
	}

}

?>
