<?php

require_once 'Settings.class.php';

class SqlTool {

    public $conn;
    public $host;
    public $dbname;
    public $username;
    public $password;


    function __construct(){

	$settings = new Settings("/etc/software-center/software-center-server.ini");
	$this->host = $settings->get("database.db_host");
	$this->dbname = $settings->get("database.db_name");
	$this->username = $settings->get("database.db_user");
	$this->password = $settings->get("database.db_pass");

        $this->conn=mysqli_connect($this->conn,$this->username,$this->password,$this->dbname);

        if (!$this->conn)
        {
            die("连接失败".mysqli_errno());
        }
        mysqli_query($this->conn, "set names utf8") or die(mysqli_errno());

    }

    public function execute_dql2($sql){

        $arr=array();
        $res=mysqli_query($this->conn, $sql) or die(mysqli_error());

        while($row=mysqli_fetch_assoc($res)){
            $arr[]=$row;
        }

        mysqli_free_result($res);
        return $arr;
    }

    public function execute_dql($sql){
        $res = mysqli_query($this->conn, $sql) or die(mysqli_errno());
        return $res;
    }
    public function execute_dqm($sql){

        $b=mysqli_query($this->conn, $sql);
        if(!$b){
            return 0;
        }else {
            if (mysqli_affected_rows($this->conn)>0){
                return 1;//success
            }else {
                return 2;//success 只是没有行受到影响
            }
        }
    }


    public function close_connect(){
        if(!empty($this->conn))
        {
            mysqli_close($this->conn);
        }
    }
}
?>
