<?php
header("content-Type: text/html; charset=Utf-8");
require_once 'RpmService.class.php';
require_once 'Settings.class.php';
require_once 'AccountService.class.php';
require_once 'Architecture.class.php';

$architecture = new Architecture();

if(isset($_POST['archId']))
{
	$archTableSuffix = $architecture->getTableSuffixById($_POST['archId']);
}
else if(isset($_POST['archName']))
{
	$archTableSuffix = $architecture->getTableSuffixByName($_POST['archName']);
}
$rpmService = new RpmService($archTableSuffix);

$settings = new Settings("/etc/software-center/software-center-server.ini");
$RPMS_path = $settings->get($archTableSuffix.".RPMS_path");
$icons_path = $settings->get($archTableSuffix.".icons_path");


function send_message_to_scsd($rpm, $arch, $action)
{
    $str_ip="127.0.0.1";
    $xml = new SimpleXMLElement('<?xml version="1.0" encoding="utf-8"?>'."<frame />");
    $xml->addAttribute("action", $action);
	$datas = $xml->addchild("datas");
	$datas->addAttribute("architecture", $arch);
	$data = $datas->addchild("data");
	$data->addAttribute("name", $rpm->getS_name());
	$data->addAttribute("icon", $rpm->getS_icon());
	$data->addAttribute("exec", $rpm->getS_exec());
	$data->addAttribute("rpm", $rpm->getS_rpm());
	$data->addAttribute("class", $rpm->getS_class());
	$data->addAttribute("version", $rpm->getS_version());
	$data->addAttribute("rpmdeps", $rpm->getS_rpmdeps());
	$data->addAttribute("star", $rpm->getS_star());
	$data->addAttribute("size", $rpm->getS_size());
    $data->addAttribute("desc", $rpm->getS_description());
	$data->addAttribute("time", $rpm->getS_time());
	$str_file = $xml->asXml();
	$str_file = addslashes($str_file);
	$str_content=$str_ip." \"".$str_file."\"";
	exec("scs_send_daemon ".$str_content);
}

if (!empty($_REQUEST['flag']))
{
	$flag = $_REQUEST['flag'];

	if($flag =="delSoftware")
	{
		$soft_name = $_POST['soft_name'];
		$rpm =$rpmService->getRpmByName($soft_name);
		$s_rpm=$rpm->getS_rpm();
		$s_icon = $rpm->getS_icon();

		if($rpmService->delRpmById($soft_name)==1)
		{
			if($s_rpm != NULL)
			{
				exec("rm -rf ".$RPMS_path.$s_rpm."*");
			}
			if($s_icon != NULL)
			{
				exec("rm -rf ".$icons_path.$s_icon);
			}

            send_message_to_scsd($rpm, $archTableSuffix, "data_delete_push");
			echo "0";
			exit();

		}else{
			echo "-1";
			exit();
		}
	}
	else if($flag =="addSoftware")
	{
		$softName=$_POST['soft_name'];
		if(!empty($rpm))
		{
			echo "-3";
			exit();
		}
		$iconName=$_POST['icon_name'];
		$softExe=$_POST['soft_exe'];
		if(empty($softExe))
		{
			$softExe="NULL";
		}
		$softRpm=$_POST['soft_rpm'];
		$softVersion=$_POST['soft_version'];
		$rpmSize=$_POST['rpm_size'];
		$softInfo=$_POST['soft_info'];
		$softDeps=$_POST['soft_deps'];
		$classId=$_POST['soft_class'];

		$res = $rpmService->addRpm($softName, $iconName, $softExe, $softRpm, $softVersion, $rpmSize, $softInfo, $softDeps, 3, $classId);

		if ($res == 1)
		{
			$rpm = $rpmService->getRpmByName($softName);
            send_message_to_scsd($rpm, $archTableSuffix, "data_add_push");
			echo "0";//添加成功
			exit();
		}else {
			echo "-1";//添加失败
			exit();
		}

	}
	else if($flag == "updateSoftware")
	{
		$softName=$_POST['up_name'];
		$iconName=$_POST['icon_name'];
		$softExe=$_POST['up_exe'];
		if(empty($softExe))
		{
			$softExe="NULL";
		}
		$softRpmName=$_POST['up_rpmName'];
		$softVersion=$_POST['up_version'];
		$rpmSize=$_POST['rpm_size'];
		$softInfo=$_POST['up_info'];
		$softDeps=$_POST['up_deps'];
		$classId=$_POST['up_class'];

		$res = $rpmService->updateRpm($softName, $iconName, $softExe, $softRpmName, $softVersion, $rpmSize, $softInfo, $softDeps, $classId);

		if ($res == 1 )
		{
			$rpm = $rpmService->getRpmByName($softName);
            send_message_to_scsd($rpm, $archTableSuffix, "data_update_push");
			echo "0";
			exit();
		}
		else if ($res ==2)
		{
			//没有行收到影响
			echo "2";
			exit();
		}
		else
		{
			echo "-1";
			exit();
		}
	}
	else if ($flag == "modifyPass")
	{
		$accountService = new AccountService();

		session_start();
		$login_user = $_SESSION['loginUser'];

		$oldpass=$_POST['old_pass'];
		$newpass=$_POST['new_pass'];

		$res = $accountService->modifyPassword($login_user, $oldpass, $newpass);
		echo $res;
	}
    else if ($flag == "modifyUsername")
    {
		$accountService = new AccountService();

		session_start();
		$login_user = $_SESSION['loginUser'];

		$new_name = $_POST['new_name'];

		$res = $accountService->modifyUsername($login_user, $new_name);
        if ($res == 1)
        {
            session_start();
            $_SESSION['loginUser'] = $new_name;
        }
		echo $res;
    }
}

